---
layout: docs
page_title: 'nomad quota apply command reference'
description: |
  The `nomad quota apply` command creates or updates a Nomad Enterprise quota specification.
---

# `nomad quota apply` command reference

The `quota apply` command is used to create or update [quota specifications][].

<EnterpriseAlert product="nomad"/>

## Usage

```plaintext
nomad quota apply [options] <path>
```

The `quota apply` command requires the path to the specification file. The
specification can be read from stdin by setting the path to "-".

If ACLs are enabled, this command requires a token with the `quota:write`
capability.

## General options

@include 'general_options.mdx'

## Apply options

- `-json`: Parse the input as a JSON quota specification.

## Examples

Create a new quota specification:

```shell-session
$ nomad quota apply my-quota.hcl
Successfully applied quota specification "my-quota"!
```

[quota specifications]: /nomad/docs/other-specifications/quota
